Skip to main content

Get a list of mandates

get/mandates

Returns a list of all direct debit mandates created for a business account.

Endpoint destination URL
https://balanceplatform-api-test.adyen.com/bcl/v2/mandates
Click to copy
cursorstring

The pagination cursor returned in a previous GET /mandates request.

paymentInstrumentIdstring

The unique identifier of the payment instrument linked to the mandate.

balanceAccountIdstring

The unique identifier of the balance account linked to the payment instrument.

After submitting a call, you receive a response message to inform you that your request was received and processed.

Depending on the HTTP status code of the response message, it is helpful to build some logic to handle any errors that a request or the system may return.

HTTP Responses

  • 200 - OK

    The request has succeeded

  • 401 - Unauthorized

    Authentication required.

  • 403 - Forbidden

    Insufficient permissions to process the request.

  • 422 - Unprocessable Entity

    A request validation error.

  • 500 - Internal Server Error

    The server could not process the request.